Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.record
Class InteractiveInfo

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordContainer
              org.apache.poi.hslf.record.InteractiveInfo

    public class InteractiveInfo

extends RecordContainer

This class represents the metadata of a link in a slide/notes/etc. It normally just holds a InteractiveInfoAtom, with the metadata in it.

Author:
  Nick Burch

Field Summary

Fields inherited from class org.apache.poi.hslf.record.RecordContainer
`_children`

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`` | `InteractiveInfo()` Create a new InteractiveInfo, with blank fields
`protected` | `InteractiveInfo(byte[] source, int start, int len)` Set things up, and find our more interesting children

Method Summary
`InteractiveInfoAtom` | `getInteractiveInfoAtom()` Returns the InteractiveInfoAtom of this InteractiveInfo
`long` | `getRecordType()` We are of type 4802
`void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordContainer
`addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InteractiveInfo

    protected InteractiveInfo(byte[] source,
                              int start,
                              int len)

  Set things up, and find our more interesting children

### InteractiveInfo

    public InteractiveInfo()

  Create a new InteractiveInfo, with blank fields

Method Detail

### getInteractiveInfoAtom

    public InteractiveInfoAtom getInteractiveInfoAtom()

  Returns the InteractiveInfoAtom of this InteractiveInfo

### getRecordType

    public long getRecordType()

  We are of type 4802

  Specified by:
    `getRecordType` in class `Record`

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.